Bug 1843042 - API documentation for image registry spec.logging field should describe what the logging attributes actually do
Summary: API documentation for image registry spec.logging field should describe what ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1843244
TreeView+ depends on / blocked
 
Reported: 2020-06-02 15:39 UTC by Clayton Coleman
Modified: 2020-10-27 16:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Document meaning for "logging" field. Reason: It was not documented what each logging level (defined as an integer) mean for the operand. Result: Now users can check the documentation to see what each value for this field mean.
Clone Of:
: 1843244 (view as bug list)
Environment:
Last Closed: 2020-10-27 16:04:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:04:08 UTC

Description Clayton Coleman 2020-06-02 15:39:09 UTC
oc explain configs.spec --api-version=imageregistry.operator.openshift.io/v1


   logging	<integer> -required-
     logging determines the level of logging enabled in the registry.


Should actually tell me what 0, 1, 2, 3, 4 mean.  Otherwise I can't (in console or CLI) actually determine what to set.  We should describe the int, the level, and what output it includes.

This is an important field, this is a common debug operation, so setting to high.

Comment 1 Oleg Bulatov 2020-06-02 20:57:56 UTC
Note, in 4.6 it's going to be deprecated by logLevel, but it's important to update docs in older releases.

Note 2: CRD comes via the image registry operator, so docs needs to be updated, and the update needs to be vendored to cluster-image-registry-operator.

Comment 2 Ricardo Maraschini 2020-06-17 12:47:59 UTC
This field is being deprecated on 4.6. There is not much we can do here other than wait until the changes land on https://bugzilla.redhat.com/show_bug.cgi?id=1808118.

Comment 3 Ricardo Maraschini 2020-07-09 15:15:45 UTC
Still awaiting for https://bugzilla.redhat.com/show_bug.cgi?id=1808118

Comment 4 Oleg Bulatov 2020-07-31 13:58:02 UTC
Still awaiting for https://bugzilla.redhat.com/show_bug.cgi?id=1808118

Comment 5 Ricardo Maraschini 2020-08-21 12:28:36 UTC
Still awaiting for https://bugzilla.redhat.com/show_bug.cgi?id=1808118

Comment 6 Oleg Bulatov 2020-09-02 14:37:20 UTC
Fixed by https://github.com/openshift/api/pull/640.

Comment 10 Wenjing Zheng 2020-09-11 09:50:05 UTC
   logLevel	<string>
     logLevel is an intent based logging for an overall component. It does not
     give fine grained control, but it is a simple way to manage coarse grained
     logging choices that operators have to interpret for their operands. Valid
     values are: "Normal", "Debug", "Trace", "TraceAll". Defaults to "Normal".

Verified on 4.6.0-0.nightly-2020-09-10-195619.

Comment 11 Wenjing Zheng 2020-09-22 09:03:14 UTC
   logging	<integer>
     logging is deprecated, use logLevel instead.

Comment 13 errata-xmlrpc 2020-10-27 16:04:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.